Bug 431774 - CGI.pm Version 3.15 Contains Broken File Upload Method
CGI.pm Version 3.15 Contains Broken File Upload Method
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-06 16:41 EST by Eric Simon
Modified: 2008-03-26 13:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-4:5.8.8-37
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-07 07:36:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Simon 2008-02-06 16:41:25 EST
Description of problem:
Just prior to CGI 3.15, a bug was introduced into the upload() method (which
captures file handles for uploading files to Apache) so that it loses the
filehandle intermittently, causing uploads to work only every-so-often.  Since
v3.15, there have been multiple patches to CGI fixing the upload().

Version-Release number of selected component (if applicable):
The problem is in CGI 3.15.

How reproducible:
I don't know if it will help you to give you step here.  However, a link to the
CGI change log documents the problems with this:


Additional info:
CGI 3.33 fixes this problem.  Since CGI is packaged into the perl package, it is
easier if the update comes through an update.
Comment 1 Marcela Mašláňová 2008-02-22 07:41:39 EST
Thank you for report. I found one liner patch, which makes sense. It will be
fixed in next update.
Comment 2 Eric Simon 2008-03-12 21:53:38 EDT
Has this been pushed to the Fedora 8 testing repository?
Comment 3 Marcela Mašláňová 2008-03-13 10:37:30 EDT
Hups, I forgot push the fix into F-8. It will be fixed in next update.
Comment 4 Fedora Update System 2008-03-20 05:14:23 EDT
perl-5.8.8-38.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-03-26 13:12:06 EDT
perl-5.8.8-38.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.